## mapnik-reference 5.0.6

=== Makefile ===
all: latest/datasources.json

latest/datasources.json:
	node util/make-datasource-ref.js latest/datasources.template > latest/datasources.json

check test: latest/datasources.json
	python test/test.py
	node test/lint.js

.PHONY: test latest/datasources.json

=== debian/changelog ===
mapnik-reference (5.0.6-1) unstable; urgency=low

  * Upstream update.
  * Add patch 2002 to rename node to nodejs (Closes: #725604)
  * Build-Depends: nodejs, invoked in Makefile.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 06 Oct 2013 22:33:41 +0200

mapnik-reference (5.0.5-1) unstable; urgency=low

  * Initial release (Closes: #723934)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 21 Sep 2013 15:26:21 +0200

=== debian/control ===
Source: mapnik-reference
Section: doc
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8~),
 nodejs
Standards-Version: 3.9.4
Homepage: https://github.com/mapnik/mapnik-reference
Vcs-Git: git://anonscm.debian.org/collab-maint/mapnik-reference.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mapnik-reference.git

Package: mapnik-reference
Architecture: all
Depends: ${misc:Depends}
Description: Parseable specifications of mapnik - Node.js module
 mapnik-reference specifies mapnik structures, styles, symbolizers,
 and the list of their properties, in JSON format.
 It is useful for building parsers, tests, compilers, and syntax
 highlighting or syntax checking.
 .
 Mapnik is a C++/Python toolkit for developing GIS applications.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mapnik-reference-$1.tar.gz/ \
https://github.com/mapnik/mapnik-reference/releases .*/v?(\d\S*)\.tar\.gz

## mapnik-reference 8.5.6

=== Makefile ===
all: build

build:
	node scripts/make-datasource-ref.js

check test: build
	python scripts/test.py
	node scripts/lint.js
	npm test

testpack:
	rm -f ./*tgz
	npm pack
	tar -ztvf *tgz
	rm -f ./*tgz

.PHONY: test build

=== debian/changelog ===
mapnik-reference (8.5.6-1~exp1ubuntu1) bionic; urgency=medium

  * Fix quoting for autopkgtest >= 5.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Mar 2018 09:05:11 +0000

mapnik-reference (8.5.6-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Dec 2016 10:55:23 +0100

mapnik-reference (8.5.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add node-semver to (build) dependencies.
  * Refresh patches.
  * Bump debhelper compatibility to 9.
  * Restructure control file with cme, changes:
    - Rename XS-Testsuite to Testsuite
    - Update Vcs-Browser URL to use HTTP & cgit instead of gitweb
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.8, no changes.
  * Fix symlink creation to not include build path.
  * Update watch file to handle common issues.
  * Add missing sources for nanoajax.js.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Dec 2016 21:41:45 +0100

mapnik-reference (6.0.3-2) unstable; urgency=medium

  * Imported Upstream version 6.0.3
  * Standards-Version 3.9.6
  * Patches: remove patch for installing into /usr/share,
    and use symlinks instead.
  * Enable upstream tests
  * Add autopkgtest
  * Depends nodejs as a node module

 -- Jérémy Lal <kapouer@melix.org>  Sat, 25 Oct 2014 15:28:26 +0200

mapnik-reference (6.0.3-1) unstable; urgency=medium

  * Imported Upstream version 6.0.3
  * Standards-Version 3.9.6
  * Refresh patches

 -- Jérémy Lal <kapouer@melix.org>  Sat, 25 Oct 2014 12:12:59 +0200

=== debian/control ===
Source: mapnik-reference
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: doc
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9~),
               python,
               mocha,
               nodejs,
               node-semver
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mapnik-reference.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/mapnik-reference.git
Homepage: https://github.com/mapnik/mapnik-reference

Package: mapnik-reference
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-semver
Description: Parseable specifications of mapnik - Node.js module
 mapnik-reference specifies mapnik structures, styles, symbolizers,
 and the list of their properties, in JSON format.
 It is useful for building parsers, tests, compilers, and syntax
 highlighting or syntax checking.
 .
 Mapnik is a C++/Python toolkit for developing GIS applications.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 %:
 	dh $@
 
-override_dh_auto_test:
-
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md

## mapnik-reference 8.9.2

=== debian/changelog ===
mapnik-reference (8.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Strip trailing whitespace from rules file.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Jan 2019 09:31:18 +0100

mapnik-reference (8.8.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update (build) dependencies.
  * Bump Standards-Version to 4.1.3, no changes.
  * Refresh patches.
  * Drop unnecessary Testsuite field from control file.
  * Update copyright-format URL to use HTTPS.
  * Fix quoting in tests control file.
    (closes: #894923)
  * Update Vcs-* URLs for Salsa.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Apr 2018 16:45:47 +0200

=== debian/control ===
Source: mapnik-reference
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: doc
Priority: optional
Build-Depends: debhelper (>= 9~),
               python,
               mocha,
               nodejs,
               node-glob,
               node-semver
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/mapnik-reference
Vcs-Git: https://salsa.debian.org/js-team/mapnik-reference.git
Homepage: https://github.com/mapnik/mapnik-reference

Package: mapnik-reference
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-lodash,
         node-semver
Description: Parseable specifications of mapnik - Node.js module
 mapnik-reference specifies mapnik structures, styles, symbolizers,
 and the list of their properties, in JSON format.
 It is useful for building parsers, tests, compilers, and syntax
 highlighting or syntax checking.
 .
 Mapnik is a C++/Python toolkit for developing GIS applications.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/tests/control ===
Test-Command: nodejs -e "require('mapnik-reference');"
Depends: @

## mapnik-reference 8.10.0

=== debian/changelog ===
mapnik-reference (8.10.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.

  [ Bas Couwenberg ]
  * Sort fields in copyright file.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + mapnik-reference: Add :any qualifier for nodejs dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Dec 2022 01:29:14 +0000

mapnik-reference (8.10.0-2) unstable; urgency=medium

  * Team upload

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.1, no changes.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add upstream/metadata
  * Fix links
  * Add patch for semver ≥ 7 (fix debci)
  * Use pkg-js-tools auto install
  * Enable upstream test during autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Wed, 05 Feb 2020 17:38:53 +0100

mapnik-reference (8.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to Python 3.
    (closes: #936990)
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Install into /usr/share/nodejs instead of /usr/lib/nodejs.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2019 11:51:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,27 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Section: doc
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper (>= 9~),
-               python,
+Build-Depends: debhelper-compat (= 13),
+               python3,
                mocha,
                nodejs,
                node-glob,
-               node-semver
-Standards-Version: 4.3.0
+               node-semver (>= 7),
+               dh-sequence-nodejs
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/mapnik-reference
 Vcs-Git: https://salsa.debian.org/js-team/mapnik-reference.git
 Homepage: https://github.com/mapnik/mapnik-reference
+Rules-Requires-Root: no
 
 Package: mapnik-reference
 Architecture: all
 Depends: ${misc:Depends},
-         nodejs,
+         nodejs:any,
          node-lodash,
-         node-semver
+         node-semver (>= 7)
 Description: Parseable specifications of mapnik - Node.js module
  mapnik-reference specifies mapnik structures, styles, symbolizers,
  and the list of their properties, in JSON format.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
-

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|mapnik-reference)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapnik-reference-$1.$2/ \
https://github.com/mapnik/mapnik-reference/releases \
(?:.*?/)?(?:rel|v|mapnik-reference)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
